PHAT(1)

NAME
phat - persistent homology utility from the PHAT library

SYNOPSIS
phat [options] input_file output_file

DESCRIPTION
phat is a simple persistent homology utility built using the PHAT library. It reads a (filtered) boundary matrix and applies an algorithm of the user's choosing to compute the associated persistent homology module.

OPTIONS

--ascii
    Use ASCII input file.

--binary
    Use binary input file (default).

--help
    Print help screen.

--dualize
    Use dualization approach.

--vector_vector, --vector_heap, --vector_set, --vector_list, --full_pivot_column, --sparse_pivot_column, --heap_pivot_column, --bit_tree_pivot_column
    Choose a matrix representation. Default is --bit_tree_pivot_column.

--standard, --twist, --chunk, --chunk_sequential, --spectral_sequence, --row
    Choose a reduction algorithm. Default is --twist.

ARGUMENTS

input_file
    Input boundary matrix file.

output_file
    Output file for persistence diagram.